BLK_DELAY_QUEUE(9)

NAME
blk_delay_queue - restart queueing after defined interval

SYNOPSIS

void blk_delay_queue(struct request_queue * q, unsigned long msecs);

ARGUMENTS

q
    The struct request_queue in question

msecs
    Delay in msecs

DESCRIPTION

Sometimes queueing needs to be postponed for a little while, to allow resources to come back. This function will make sure that queueing is restarted around the specified time. Queue lock must be held.

COPYRIGHT